| Home | Libraries | People | FAQ | More

## Struct template _env_var

boost::proto::_env_var — A primitive transform that returns the value associated with a particular `Key` in the current transform environment.

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    template<typename Key>
    struct _env_var :  proto::transform<_env_var<Key> > {
      // member classes/structs/unions

      struct impl :  proto::transform_impl<Expr, State, Data> > {
        // types
        typedef typename proto::result_of::env_var<Data, Key>::type result_type;

        // public member functions
        result_type operator()(typename impl::expr_param,
                               typename impl::state_param,
                               typename impl::data_param) const;
      };
    };

## Description

See `proto::_env_var::impl` for the full details.